<?php
/**
 * Coppermine Photo Gallery
 * Coppermine version: 1.5.xx
 *
 * No Crop and Rotate for users v1.0
 * 
 * Plugin Written by Joe Carver - http://photos-by.joe-carver.com/ - http://gallery.josephcarver.com/natural/ - http://i-imagine.net/artists/
 * 01 April 2010
*/
	require_once('include/init.inc.php');

	if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
	// Add install & configure action
	$thisplugin->add_action('plugin_install','no_crop_rotate_install');
	$thisplugin->add_action('plugin_uninstall','no_crop_rotate_uninstall');
	$thisplugin->add_filter('file_data','no_crop_rotate');

	function no_crop_rotate($CURRENT_PIC_DATA)
	{
    global $lang_display_image_php, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $CONFIG;
    
    if ((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) 
	{
        $delete_icon = cpg_fetch_icon('delete', 1);
        $edit_icon   = cpg_fetch_icon('edit', 1);
        $rotate_icon = cpg_fetch_icon('rotate_ccw', 1); 
        
        list($timestamp, $form_token) = getFormToken();	
	
	$admins_edits ='';
	$user_id = USER_ID;
    if ($user_id == 1)  {
        $admins_edits = <<< EOT
<li><a href="javascript:;" onclick="return MM_openBrWindow('pic_editor.php?id={$CURRENT_PIC_DATA['pid']}','Crop_Picture','scrollbars=yes,toolbar=no,status=yes,resizable=yes')"><span>{$rotate_icon}{$lang_display_image_php['crop_pic']}</span></a></li>
EOT;
	}

        $picmenu = <<< EOT
    <div class="buttonlist align_right">
		<ul>
			$admins_edits
			<li><a href="edit_one_pic.php?id={$CURRENT_PIC_DATA['pid']}&amp;what=picture"><span>{$edit_icon}{$lang_display_image_php['edit_pic']}</span></a></li>
			<li><a href="delete.php?id={$CURRENT_PIC_DATA['pid']}&amp;what=picture&amp;form_token={$form_token}&amp;timestamp={$timestamp}" onclick="return confirm('{$lang_display_image_php['confirm_del']}'); return false; "><span class="last">{$delete_icon}{$lang_display_image_php['del_pic']}</span></a></li>
		</ul>
	</div>
EOT;
	}
	else {
        $picmenu = '';
    }

    $CURRENT_PIC_DATA['menu'] = $picmenu;
	
	return $CURRENT_PIC_DATA;
	}
		
	function no_crop_rotate_install()
	{	
	return true;
	}	
	
	function no_crop_rotate_uninstall()
	{	
	return true;
	}	


	// stop non-admin from trying to run pic_editor.php 
	$thisplugin->add_action('page_start','no_crop_rotate_page');
	function no_crop_rotate_page()
	{
    global $CONFIG, $CPG_PHP_SELF, $lang_errors;
	$user_id = USER_ID;	
	if($CPG_PHP_SELF == 'pic_editor.php' &&  $user_id > 1)
	{
	cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
	}	
    }	

?>